summaryrefslogtreecommitdiffstats
path: root/audio/shorten
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-13 00:22:06 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:22:06 +0200
commite01fa8c30a3d537788433fbf013567ddcd50a4fe (patch)
treeb08bf328ea3623df0bff856faaf1af2cccaf3f58 /audio/shorten
parent9dc22a871eb48492110ca9c51457dcdb701bf48d (diff)
downloadslackbuilds-e01fa8c30a3d537788433fbf013567ddcd50a4fe.tar.gz
slackbuilds-e01fa8c30a3d537788433fbf013567ddcd50a4fe.tar.xz
audio/shorten: Updated for version 3.6.1
Diffstat (limited to 'audio/shorten')
-rw-r--r--audio/shorten/shorten.SlackBuild14
-rw-r--r--audio/shorten/shorten.info4
2 files changed, 14 insertions, 4 deletions
diff --git a/audio/shorten/shorten.SlackBuild b/audio/shorten/shorten.SlackBuild
index cb14b34489..71c8f43c2f 100644
--- a/audio/shorten/shorten.SlackBuild
+++ b/audio/shorten/shorten.SlackBuild
@@ -17,8 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -41,14 +46,17 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man
make
make DESTDIR=$PKG install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -60,4 +68,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/shorten/shorten.info b/audio/shorten/shorten.info
index fcb592b1b2..78d95ba9f4 100644
--- a/audio/shorten/shorten.info
+++ b/audio/shorten/shorten.info
@@ -2,7 +2,9 @@ PRGNAM="shorten"
VERSION="3.6.1"
HOMEPAGE="http://shnutils.freeshell.org/shorten/"
DOWNLOAD="http://shnutils.freeshell.org/shorten/dist/src/shorten-3.6.1.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="fb59c16fcedc4f4865d277f6e45866a7"
+MD5SUM_x86_64=""
MAINTAINER="slakmagik"
EMAIL="jsun@freeshell.org"
-APPROVED="David Somero"
+APPROVED="dsomero"